from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XChapterNumberingSupplier(XInterface, Protocol):
    def getChapterNumberingRules(self) -> XIndexReplace: ...
